org.apache.hc.client5.http.ssl

## Interface HttpClientHostnameVerifier

All Superinterfaces:
  HostnameVerifier

All Known Implementing Classes:
  DefaultHostnameVerifier

    public interface HttpClientHostnameVerifier
    extends HostnameVerifier

Extended `HostnameVerifier` interface.

Since:
  5.0

### Method Summary

Methods
`void` `verify(String host, X509Certificate cert)`

### Methods inherited from interface javax.net.ssl.HostnameVerifier

`verify`

### Method Detail

#### verify

    void verify(String host,
              X509Certificate cert)
                throws SSLException

Throws:
  `SSLException`